Skip to navigation

Send Quote Message

Sends a message via the in-quote messaging system, from the perspective of the Company user.

This PUT request cannot be used to edit other details of an existing quote. Once a quote has been submitted to the sales representative, buyers can no longer edit quote details like shipping address or line items.

Equivalent Storefront GraphQL API Mutation: quoteUpdate.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
storeHashstringOptional
The unique store hash for the BigCommerce store.
messagestringOptional

A message sent to the sales rep via the in-quote messaging system.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
messagestringOptionalDefaults to SUCCESS
dataobjectOptional

Errors

400
Bad Request Error